<mat-table [dataSource]="otherAssets">

  <ng-container matColumnDef="location" *ngIf="showLocation">
    <mat-header-cell *matHeaderCellDef> Location </mat-header-cell>
    <mat-cell *matCellDef="let c"> {{c.location.name}}</mat-cell>
  </ng-container>

  <ng-container matColumnDef="description">
    <mat-header-cell *matHeaderCellDef> Description</mat-header-cell>
    <mat-cell *matCellDef="let c"> {{c.description}}</mat-cell>
  </ng-container>

  <ng-container matColumnDef="assetNum">
    <mat-header-cell *matHeaderCellDef> Asset Number</mat-header-cell>
    <mat-cell *matCellDef="let c"> {{c.assetNum}}</mat-cell>
  </ng-container>

  <ng-container matColumnDef="make">
    <mat-header-cell *matHeaderCellDef> Make</mat-header-cell>
    <mat-cell *matCellDef="let c"> {{c.make}}</mat-cell>
  </ng-container>

  <ng-container matColumnDef="model">
    <mat-header-cell *matHeaderCellDef> Model</mat-header-cell>
    <mat-cell *matCellDef="let c"> {{c.model}}</mat-cell>
  </ng-container>


  <mat-header-row *matHeaderRowDef="columnsToDisplay"></mat-header-row>
  <mat-row *matRowDef="let row; columns: columnsToDisplay;" (click)="selectRow(row)" [ngClass]="{'highlight': selectedRowIndex == row.id}"></mat-row>
</mat-table>